%% Ploting script
%%% Firt Run CaseStudy_Example.m
%% Plot u_y
Nt = length(y);
time = dt*(0:(Nt-1));
t0=0.3-0.16;
fig=figure('Units','inches',...
    'Position',[4 3 2*3.4 3.4],...
    'PaperPositionMode','auto');
subplot(2,2,1)
left_color = [0 0 0];
right_color = [0 0 0];
set(fig,'defaultAxesColorOrder',[left_color; right_color]);
plot(time-t0,u_y*1e6,'-','LineWidth',2,'Color','b')
xlim([0 0.3])
ylim([-200 300])

yyaxis right
plot(time,stiff_y/gamma*y*1e6,'-','LineWidth',2,'color',[0.5 0.5 0.5])

yyaxis left
y_lim1=200;y_lim2=300;
x_lim=0.3;
axis([0 x_lim -y_lim1 y_lim2])
set(gca,...
    'Units','normalized',...
    'YTick',-y_lim1:100:y_lim2,...
    'XTick',0:0.1:0.3,...
    'FontUnits','points',...
    'FontWeight','normal',...
    'FontSize',9,...
    'FontName','Times')
xlabel('$t$ [s]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
ylabel('$u(t)$ [$\mu$m/s]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
set(gca,'FontSize',9)
box on
legend('OTV','$\frac{k}{\gamma}x$','Orientation','horizontal','box','off','Interpreter','latex')
box on
yyaxis right
ylabel('$\frac{k}{\gamma}y\ $[$\mu$m/s]','Interpreter','latex')
% y_lim=200;
x_lim=0.3;
axis([0 x_lim -y_lim1 y_lim2])
set(gca,...
    'Units','normalized',...
    'YTick',-y_lim1:100:y_lim2,...
    'FontUnits','points',...
    'FontWeight','normal',...
    'FontSize',9,...
    'FontName','Times')
set(gca,'FontSize',9)
%% plot fft(y)
subplot(2,2,2)
[f,pow]      =  fourier_spectrum(y*1e9,Fs);
loglog(f,pow,'Linewidth',1,'Color',[0.5 0.5 0.5])
xlim([10 1e3])
ylim([1e-1 300])

set(gca,...
    'Units','normalized',...
    'YTick',[1e-1,1e0,1e2],...
    'XTick',[10,100,1000],...
    'FontUnits','points',...
    'FontWeight','normal',...
    'FontSize',9,...
    'FontName','Times')
xlabel('$f$ [Hz]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
ylabel('$F(y(t))$ [nm]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
set(gca,'FontSize',9)
box on
grid on
%% Plot u_x
Nt = length(x);
time = dt*(0:(Nt-1));
t0=0.3-0.16;
subplot(2,2,3)
left_color = [0 0 0];
right_color = [0 0 0];
set(fig,'defaultAxesColorOrder',[left_color; right_color]);
plot(time-t0,u_x*1e6,'-','LineWidth',2,'Color','b')
xlim([0 0.3])
ylim([-200 300])

yyaxis right
plot(time,stiff_x/gamma*x*1e6,'-','LineWidth',2,'color',[0.5 0.5 0.5])

yyaxis left
y_lim1=200;y_lim2=300;
x_lim=0.3;
axis([0 x_lim -y_lim1 y_lim2])
set(gca,...
    'Units','normalized',...
    'YTick',-y_lim1:100:y_lim2,...
    'XTick',0:0.1:0.3,...
    'FontUnits','points',...
    'FontWeight','normal',...
    'FontSize',9,...
    'FontName','Times')
xlabel('$t$ [s]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
ylabel('$u(t)$ [$\mu$m/s]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
set(gca,'FontSize',9)
box on
legend('OTV','$\frac{k}{\gamma}x$','Orientation','horizontal','box','off','Interpreter','latex')
box on
yyaxis right
ylabel('$\frac{k}{\gamma}x\ $[$\mu$m/s]','Interpreter','latex')
% y_lim=200;
x_lim=0.3;
axis([0 x_lim -y_lim1 y_lim2])
set(gca,...
    'Units','normalized',...
    'YTick',-y_lim1:100:y_lim2,...
    'FontUnits','points',...
    'FontWeight','normal',...
    'FontSize',9,...
    'FontName','Times')
set(gca,'FontSize',9)
%% plot fft(y)
subplot(2,2,4)
[f,pow]      =  fourier_spectrum(x*1e9,Fs);
loglog(f,pow,'Linewidth',1,'Color',[0.5 0.5 0.5])
xlim([10 1e3])
ylim([1e-1 300])

set(gca,...
    'Units','normalized',...
    'YTick',[1e-1,1e0,1e2],...
    'XTick',[10,100,1000],...
    'FontUnits','points',...
    'FontWeight','normal',...
    'FontSize',9,...
    'FontName','Times')
xlabel('$f$ [Hz]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
ylabel('$F(x(t))$ [nm]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
set(gca,'FontSize',9)
box on
grid on
%%
h=subplot(2,2,1);
g=subplot(2,2,3);
hh=subplot(2,2,2);
gg=subplot(2,2,4);

set(h,'Units','normalized','Position',[0.3 0.6 0.55 0.25]);
set(g,'Units','normalized','Position',[0.3 0.2 0.55 0.25]);
set(hh,'Units','normalized','Position',[0.1 0.6 0.13 0.25]);
set(gg,'Units','normalized','Position',[0.1 0.2 0.13 0.25]);
