% Run FilterandSave_otvPtv_TaylorKalman.m First
%% Plot raw signals and the OTV velocity
Nt = length(y);
time = dt*(0:(Nt-1));
t0=0.3; % the origin of time series choose t0 = 0 .. 2.7 
fig=figure('Units','inches',...
    'Position',[3 2 2*3.4 1.4*3.4],...
    'PaperPositionMode','auto');

left_color = [0 0 0];
right_color = [0 0 0];
set(fig,'defaultAxesColorOrder',[left_color; right_color]);
subplot(2,2,1)
yyaxis right
tv = time-t0;
plot(tv,stiff/gamma*y*1e6,'-','Linewidth',2,'color',[0.5 0.5 0.5])
xlim([0 0.3])
set(gca,'FontSize',9)
ylabel('$\frac{k}{\gamma} x\ $[$\mu$m/s]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
ylim([-100 100])




%%
subplot(2,2,1)
hold on
yyaxis left
hold on
u_k50 = u_otv;
tc = time-t0;
plot(tc,u_k50*1e6,'-','Linewidth',2,'Color','b')
ylim([-100 100])
xlim([0 0.3])
set(gca,'FontSize',9)
legend('OTV','$\frac{k}{\gamma} x$','Orientation','horizontal','Box','off','Interpreter','latex')
xlabel('$t\ [s]$','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
ylabel('$u(t)$ [${\mu m}/{s}$]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
box on

%%
subplot(2,2,3)
[f,pow]      =  fourier_spectrum(y*1e9,Fs);
loglog(f,pow,'Linewidth',1.5,'color',[0.5 0.5 0.5])
xlim([1 1000])
ylim([1e-2 100])
xlabel('f [Hz]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
ylabel('Amplitude [nm]','FontUnits','points',...
    'interpreter','latex',...
    'FontSize',9,...
    'FontName','Times')
set(gca,'FontSize',9)

%% PLot S_x(f) = |X^2(f)|
subplot(2,2,3)
hold on
fc = stiff/gamma/2/pi;
f=0.1:0.01:10000;
Sxf = sqrt(1.38e-23*295./(6*pi^3*0.9565e-3*2.7850e-6*(f.^2+fc^2)));
loglog(f,Sxf*1e9,'--','Linewidth',2,'Color',[0.00,0.80,0.40])
legend('Theory','Orientation','vertical','Box','off','Interpreter','latex','Location','southwest')

%%
h=subplot(2,2,1);
hh=subplot(2,2,3);
set(h,'Units','normalized','Position',[0.3 0.5 0.55 0.25]);
set(hh,'Units','normalized','Position',[0.1 0.5 0.13 0.25]);