% This function returns the State Transition Matrix for OTV system as
% defined in the paper
% Inputs: order -->  The Taylor expansion order
%         % dt --> dt=1/ Fs : The discretized sampling time
% Outputs: Phi_K --> State Transition Matrix

function Phi_K = StateTransitionMatrix(dt,order)
Phi_K = sparse(order+1,order+1);
Phi_K = Phi_K + sparse(eye(order+1));
for m = 1:order
    Phi_K(m,m+1:order+1) = dt.^(1:(order+1-m))./factorial(1:(order+1-m));
end
end